
Application: gvSIG desktop - gvSIG bugs #1643
Error ejecutando mvn create installer del build 2063
03/04/2013 10:11 AM - Leticia Riestra

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2063 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Hola
Estoy intentando ejecutar el task mvn create installer del proyecto gvSIG-group-standard porque necesito compilar los proyectos para
generar un ejecutable (he tenido que hacer modificaciones sobre el código y por tanto necesito crear mi propio ejecutable en lugar de
ejecutar el que ya está creado por gvSIG).

Me salta la siguiente excepción, con lo cual, no puedo generar el ejecutable. ¿Alguna idea?

[artifact:mvn] 09:44:35,328 INFO  [icontheme.BaseIconTheme.get()]
[artifact:mvn]   get('wizard-export-to') icon not found
[artifact:mvn] 09:44:35,328 DEBUG [icontheme.BaseIconTheme.logstack()]
[artifact:mvn]   get('wizard-export-to') icon not found
[artifact:mvn] java.lang.IllegalArgumentException
[artifact:mvn]     at org.gvsig.tools.swing.impl.icontheme.BaseIconTheme.logstack(BaseIconTheme.java:213)
[artifact:mvn]     at org.gvsig.tools.swing.impl.icontheme.BaseIconTheme.get(BaseIconTheme.java:327)
[artifact:mvn]     at org.gvsig.exportto.swing.impl.IconThemeHelper.getImageIcon(IconThemeHelper.java:44)
[artifact:mvn]     at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel.<init>(DefaultJExporttoServicePanel.java:117)
[artifact:mvn]     at
org.gvsig.exportto.swing.impl.DefaultExporttoSwingManager.createExportto(DefaultExporttoSwingManager.java:56)
[artifact:mvn]     at
org.gvsig.exportto.swing.JExporttoServicePanelTest.testJExporttoServicePanel(JExporttoServicePanelTest.java:63)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at junit.framework.TestCase.runTest(TestCase.java:154)
[artifact:mvn]     at junit.framework.TestCase.runBare(TestCase.java:127)
[artifact:mvn]     at junit.framework.TestResult$1.protect(TestResult.java:106)
[artifact:mvn]     at junit.framework.TestResult.runProtected(TestResult.java:124)
[artifact:mvn]     at junit.framework.TestResult.run(TestResult.java:109)
[artifact:mvn]     at junit.framework.TestCase.run(TestCase.java:118)
[artifact:mvn]     at junit.framework.TestSuite.runTest(TestSuite.java:208)
[artifact:mvn]     at junit.framework.TestSuite.run(TestSuite.java:203)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at org.apache.maven.surefire.junit.JUnitTestSet.execute(JUnitTestSet.java:213)
[artifact:mvn]     at
org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.executeTestSet(AbstractDirectoryTestSuite.java:140)
[artifact:mvn]     at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.execute(AbstractDirectoryTestSuite.java:127)
[artifact:mvn]     at org.apache.maven.surefire.Surefire.run(Surefire.java:177)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:345)
[artifact:mvn]     at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:1009)
[artifact:mvn] 09:44:35,343 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for all_layer
[artifact:mvn] 09:44:35,343 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for selected_features
[artifact:mvn] 09:44:35,343 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for filter
[artifact:mvn] 09:44:35,343 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for predefined_filters
[artifact:mvn] 09:44:35,343 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for prov_demo
[artifact:mvn] 09:44:35,359 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for free_filter
[artifact:mvn] 09:44:35,359 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for select_format_to_export
[artifact:mvn] 09:44:35,359 WARN  [Messages.getText()]
[artifact:mvn]   org.gvsig.i18n.Messages -- Cannot find translation for export
[artifact:mvn] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.078 sec
[artifact:mvn] Results :
[artifact:mvn] Tests in error: 
[artifact:mvn]   testUno(org.gvsig.exportto.swing.impl.DefaultExporttoWindowManagerTest)
[artifact:mvn] Tests run: 5, Failures: 0, Errors: 1, Skipped: 0
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [ERROR] BUILD FAILURE
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] There are test failures.
[artifact:mvn] Please refer to
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Trace
[artifact:mvn] org.apache.maven.BuildFailureException: There are test failures.
[artifact:mvn] Please refer to C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:715)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:556)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:535)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
[artifact:mvn]     at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
[artifact:mvn]     at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
[artifact:mvn]     at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
[artifact:mvn]     at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
[artifact:mvn] Caused by: org.apache.maven.plugin.MojoFailureException: There are test failures.
[artifact:mvn] Please refer to C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.plugin.surefire.SurefirePlugin.execute(SurefirePlugin.java:575)
[artifact:mvn]     at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)
[artifact:mvn]     ... 17 more
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Total time: 16 minutes 7 seconds
[artifact:mvn] [INFO] Finished at: Mon Mar 04 09:44:35 CET 2013
[artifact:mvn] [INFO] Final Memory: 103M/222M
[artifact:mvn] [INFO] ------------------------------------------------------------------------

BUILD FAILED
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\maven-goals.xml:34: The following error occurred while executing this line:
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\ant-tasks-config.xml:132: Java returned: 1


arget\surefire-reports for the individual test results.
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Trace
[artifact:mvn] org.apache.maven.BuildFailureException: There are test failures.
[artifact:mvn] Please refer to
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:715)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:556)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:535)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
[artifact:mvn]     at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
[artifact:mvn]     at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
[artifact:mvn]     at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
[artifact:mvn]     at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
[artifact:mvn] Caused by: org.apache.maven.plugin.MojoFailureException: There are test failures.
[artifact:mvn] Please refer to C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.plugin.surefire.SurefirePlugin.execute(SurefirePlugin.java:575)
[artifact:mvn]     at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)
[artifact:mvn]     ... 17 more
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Total time: 16 minutes 7 seconds
[artifact:mvn] [INFO] Finished at: Mon Mar 04 09:44:35 CET 2013
[artifact:mvn] [INFO] Final Memory: 103M/222M
[artifact:mvn] [INFO] ------------------------------------------------------------------------

BUILD FAILED
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\maven-goals.xml:34: The following error occurred while executing this line:
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\ant-tasks-config.xml:132: Java returned: 1


arget\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:715)
[artifact:mvn]     at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:556)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:535)
[artifact:mvn]     at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
[artifact:mvn]     at
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
[artifact:mvn]     at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
[artifact:mvn]     at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
[artifact:mvn]     at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
[artifact:mvn]     at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[artifact:mvn]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[artifact:mvn]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[artifact:mvn]     at java.lang.reflect.Method.invoke(Method.java:597)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
[artifact:mvn]     at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
[artifact:mvn] Caused by: org.apache.maven.plugin.MojoFailureException: There are test failures.
[artifact:mvn] Please refer to
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\org.gvsig.exportto\org.gvsig.exportto.swing\org.gvsig.exportto.swing.impl\target\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.plugin.surefire.SurefirePlugin.execute(SurefirePlugin.java:575)
[artifact:mvn]     at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)
[artifact:mvn]     ... 17 more
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Total time: 16 minutes 7 seconds
[artifact:mvn] [INFO] Finished at: Mon Mar 04 09:44:35 CET 2013
[artifact:mvn] [INFO] Final Memory: 103M/222M
[artifact:mvn] [INFO] ------------------------------------------------------------------------

BUILD FAILED
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\maven-goals.xml:34: The following error occurred while executing this line:
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\ant-tasks-config.xml:132: Java returned: 1


arget\surefire-reports for the individual test results.
[artifact:mvn]     at org.apache.maven.plugin.surefire.SurefirePlugin.execute(SurefirePlugin.java:575)
[artifact:mvn]     at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)
[artifact:mvn]     at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)
[artifact:mvn]     ... 17 more
[artifact:mvn] [INFO] ------------------------------------------------------------------------
[artifact:mvn] [INFO] Total time: 16 minutes 7 seconds
[artifact:mvn] [INFO] Finished at: Mon Mar 04 09:44:35 CET 2013
[artifact:mvn] [INFO] Final Memory: 103M/222M
[artifact:mvn] [INFO] ------------------------------------------------------------------------

BUILD FAILED
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\maven-goals.xml:34: The following error occurred while
executing this line:
C:\WORKSPACES\workspace-gvsig-3.0-build-2063\build\ant-tasks\ant-tasks-config.xml:132: Java returned: 1

History
#1 - 01/16/2014 01:35 PM - Álvaro Anguix
- Status changed from New to Invalid

Para dudas utilizar las listas de desarrollo del proyecto
http://www.gvsig.org/web/home/community/mailing-lists
